package com.mosty.common.task.constant.enums;

import com.mosty.common.base.constant.enums.MenuTypeEnum;
import lombok.AllArgsConstructor;
import org.jetbrains.annotations.Contract;

/**
 *  执行状态
 * @author liyan
 * @date 2022/2/16 11:06 PM
 * @since 1.0.0
 */
@AllArgsConstructor
public enum TaskTypeEnum {

    /** 1。核实任务 */
    VERIFY("1", "核实任务"),

    /** 2。预警指令 */
    EARLY("2", "预警指令"),
    OTHER("3", "其他")
    ;

    /** 编码 */
    public final String code;

    /** 描述 */
    public final String desc;
    /**
     * 根据编码匹配菜单类型
     * @param code 编码
     * @return 菜单类型枚举
     */
    public static TaskTypeEnum getEnum(String code) {
        for (TaskTypeEnum taskTypeEnum : TaskTypeEnum.values()) {
            if (taskTypeEnum.code.equals(code)) {
                return taskTypeEnum;
            }
        }
        return TaskTypeEnum.OTHER;
    }
}
